## qt6-3d 6.9.2

=== tests/auto/render/qgeometry/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qgeometry.pro.

#####################################################################
## tst_qgeometry Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qgeometry LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qgeometry
    SOURCES
        tst_qgeometry.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qgeometry.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../commons/commons.cmake)
qt3d_setup_common_render_test(tst_qgeometry)

=== debian/changelog ===
qt6-3d (6.9.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 02:27:26 +0000

qt6-3d (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:53:22 +1000

qt6-3d (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:29:22 +1000

qt6-3d (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:17:20 +1000

qt6-3d (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:11:07 +1000

qt6-3d (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:07:56 +1000

qt6-3d (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:36:38 +1000

qt6-3d (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:28:43 +1000

qt6-3d (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 01:00:49 +1000

qt6-3d (6.6.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 11:12:47 +1000

qt6-3d (6.6.0-0neon) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:49:51 +0100

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-multimedia-dev (>= 6.9.2~),
               qt6-quick3d-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-3d.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-3d
Maintainer: Neon CI <neon@kde.org>

Package: qt6-3d
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt63danimation6,
          libqt63danimation6t64,
          libqt63dcore6,
          libqt63dcore6t64,
          libqt63dextras6,
          libqt63dextras6,
          libqt63dinput6,
          libqt63dlogic6,
          libqt63dquick6,
          libqt63dquickanimation6,
          libqt63dquickextras6,
          libqt63dquickinput6,
          libqt63dquickrender6,
          libqt63dquickscene2d6,
          libqt63drender6,
          qml6-module-qt3d-animation,
          qml6-module-qt3d-core,
          qml6-module-qt3d-extras,
          qml6-module-qt3d-input,
          qml6-module-qt3d-logic,
          qml6-module-qt3d-render,
          qml6-module-qt3d-scene2d,
          qt6-3d-assimpsceneimport-plugin,
          qt6-3d-defaultgeometryloader-plugin,
          qt6-3d-gltfsceneio-plugin,
          qt6-3d-scene2d-plugin
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: qt6-3d-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-3d-doc-dev, qt6-3d-examples
Description: Qt 6 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 3D library.

Package: qt6-3d-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d-dev, qt6-base-doc, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-3d-doc-html
Description: Qt 6 3D - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 3D library.

Package: libqt63danimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63danimation6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dlogic6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquick6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickrender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickanimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickscene2d6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63drender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-animation
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-core
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-extras
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-input
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-logic
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-render
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene2d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene3d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-dev
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-html
Architecture: all
Depends: qt6-3d-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-examples
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-gltfsceneio-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-scene2d-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qt3d-everywhere-src-([\d\.]+\d).tar.xz

## qt6-3d 6.9.2%2Bdfsg

=== src/quick3d/quick3dlogic/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(3DQuickLogic
    URI "Qt3D.Logic"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    SOURCES
        qt3dquick3dlogicforeign_p.h
    DEPENDENCIES
        Qt3D.Core
    LIBRARIES
        Qt::3DCore
        3DLogic
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
)

=== tests/manual/advancedcustommaterial/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(advancedcustommaterial LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS 3DRender Core Gui Qml Quick)

qt_add_executable(advancedcustommaterial
    main.cpp
)

set_target_properties(advancedcustommaterial PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(advancedcustommaterial PUBLIC
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(qml_resource_files
    "SceneRoot.qml"
    "Water.qml"
    "WaterMaterial.qml"
    "main.qml"
)

qt6_add_resources(advancedcustommaterial "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

target_sources(advancedcustommaterial PRIVATE ${qml_resource_files}) # just to show qml files in creator

set(models_resource_files
    "models/waterPlane.obj"
)

qt6_add_resources(advancedcustommaterial "models"
    PREFIX
        "/"
    FILES
        ${models_resource_files}
)

set(textures_resource_files
    "textures/WaterDiffuse.jpg"
    "textures/WaterNormal.jpg"
    "textures/WaterSpecular.jpg"
    "textures/Waterwave.jpg"
    "textures/foam.jpg"
    "textures/sky.jpg"
)

qt6_add_resources(advancedcustommaterial "textures"
    PREFIX
        "/"
    FILES
        ${textures_resource_files}
)

set(shaders_resource_files
    "shaders/es2/water.frag"
    "shaders/es2/water.vert"
    "shaders/gl3/water.frag"
    "shaders/gl3/water.vert"
    "shaders/rhi/water.frag"
    "shaders/rhi/water.vert"
)

qt6_add_resources(advancedcustommaterial "shaders"
    PREFIX
        "/"
    FILES
        ${shaders_resource_files}
)

=== tests/manual/bigmodel-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from bigmodel-qml.pro.

#####################################################################
## bigmodel-qml Binary:
#####################################################################

qt_internal_add_manual_test(bigmodel-qml
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(bigmodel-qml_resource_files
    "MyEntity.qml"
    "main.qml"
)

qt_internal_add_resource(bigmodel-qml "bigmodel-qml"
    PREFIX
        "/"
    FILES
        ${bigmodel-qml_resource_files}
)


#### Keys ignored in scope 1:.:.:bigmodel-qml.pro:<TRUE>:
# DISTFILES = "MyEntity.qml"
# OTHER_FILES = "main.qml" "MyEntity.qml"

## Scopes:
#####################################################################

=== tests/manual/boundingvolumes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from boundingvolumes.pro.

#####################################################################
## boundingvolumes Binary:
#####################################################################

qt_internal_add_manual_test(boundingvolumes
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DInput
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(boundingvolumes_resource_files
    "AnimatedEntity.qml"
    "main.qml"
)

qt_internal_add_resource(boundingvolumes "boundingvolumes"
    PREFIX
        "/"
    FILES
        ${boundingvolumes_resource_files}
)


#### Keys ignored in scope 1:.:.:boundingvolumes.pro:<TRUE>:
# OTHER_FILES = "AnimatedEntity.qml" "main.qml"

## Scopes:
#####################################################################

=== tests/manual/cylinder-parent-test/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from cylinder-parent-test.pro.

#####################################################################
## cylinder-parent-test Binary:
#####################################################################

qt_internal_add_manual_test(cylinder-parent-test
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DRender
        Qt::Gui
)

## Scopes:
#####################################################################

=== tests/manual/dynamic-model-loader-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from dynamic-model-loader-qml.pro.

#####################################################################
## dynamic-model-loader-qml Binary:
#####################################################################

qt_internal_add_manual_test(dynamic-model-loader-qml
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(dynamic-model-loader-qml_resource_files
    "CuboidEntity.qml"
    "SphereEntity.qml"
    "main.qml"
)

qt_internal_add_resource(dynamic-model-loader-qml "dynamic-model-loader-qml"
    PREFIX
        "/"
    FILES
        ${dynamic-model-loader-qml_resource_files}
)


#### Keys ignored in scope 1:.:.:dynamic-model-loader-qml.pro:<TRUE>:
# OTHER_FILES = "main.qml" "SphereEntity.qml" "CuboidEntity.qml"

## Scopes:
#####################################################################

=== tests/manual/gooch-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from gooch-qml.pro.

#####################################################################
## gooch-qml Binary:
#####################################################################

qt_internal_add_manual_test(gooch-qml
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(gooch-qml_resource_files
    "MyEntity.qml"
    "main.qml"
)

qt_internal_add_resource(gooch-qml "gooch-qml"
    PREFIX
        "/"
    FILES
        ${gooch-qml_resource_files}
)

set(obj_resource_files
    "../exampleresources/assets/obj/ball.obj"
    "../exampleresources/assets/obj/material-sphere.obj"
    "../exampleresources/assets/obj/plane-10x10.obj"
    "../exampleresources/assets/obj/toyplane.obj"
    "../exampleresources/assets/obj/trefoil.obj"
)

qt_internal_add_resource(gooch-qml "obj"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${obj_resource_files}
)


#### Keys ignored in scope 1:.:.:gooch-qml.pro:<TRUE>:
# OTHER_FILES = "main.qml" "MyEntity.qml"

## Scopes:
#####################################################################

=== tests/manual/widgets-scene3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(widgets-scene3d LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS 3DInput Core Gui Qml Quick QuickWidgets Widgets)

qt_add_executable(widgets-scene3d
    main.cpp
)

set_target_properties(widgets-scene3d PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(widgets-scene3d PUBLIC
    Qt::3DInput
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickWidgets
    Qt::Widgets
)

# Resources:
set_source_files_properties("../scene3d/AnimatedEntity.qml"
    PROPERTIES QT_RESOURCE_ALIAS "AnimatedEntity.qml"
)

set_source_files_properties("../scene3d/main.qml"
    PROPERTIES QT_RESOURCE_ALIAS "main.qml"
)

set(widgets-scene3d_resource_files
    "../scene3d/AnimatedEntity.qml"
    "../scene3d/main.qml"
)

qt6_add_resources(widgets-scene3d "widgets-scene3d"
    PREFIX
        "/"
    FILES
        ${widgets-scene3d_resource_files}
)

=== src/plugins/geometryloaders/fbx/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from fbx.pro.

#####################################################################
## fbxGeometryLoaderPlugin Plugin:
#####################################################################

qt_internal_add_plugin(fbxGeometryLoaderPlugin
    OUTPUT_NAME fbxgeometryloader
    PLUGIN_TYPE geometryloaders
    SOURCES
        fbxgeometryloader.cpp fbxgeometryloader.h
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        fbx
)

#### Keys ignored in scope 1:.:.:fbx.pro:<TRUE>:
# DISTFILES = "fbx.json"

=== tests/auto/animation/bezierevaluator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from bezierevaluator.pro.

#####################################################################
## tst_bezierevaluator Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_bezierevaluator LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_bezierevaluator
    SOURCES
        tst_bezierevaluator.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DAnimationPrivate
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:bezierevaluator.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/animation/blendedclipanimator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from blendedclipanimator.pro.

#####################################################################
## tst_blendedclipanimator Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_blendedclipanimator LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_blendedclipanimator
    SOURCES
        tst_blendedclipanimator.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DAnimationPrivate
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:blendedclipanimator.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../../core/common/common.cmake)
qt3d_setup_common_test(tst_blendedclipanimator)

=== tests/auto/animation/channelmapper/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from channelmapper.pro.

#####################################################################
## tst_channelmapper Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_channelmapper LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_channelmapper
    SOURCES
        tst_channelmapper.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DAnimationPrivate
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:channelmapper.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../../core/common/common.cmake)
qt3d_setup_common_test(tst_channelmapper)

=== debian/changelog ===
qt6-3d (6.9.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:19:45 +0200

qt6-3d (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 18:28:48 +0200
